services:
  # The Pipedrive default service (Worker/Core).
  pipedrive:
    class: Drupal\pipedrive\Service\PipedriveService
    arguments: ['@config.factory']
  # Store and retrieve settings for entity mappings.
  pipedrive.entity_settings:
    class: Drupal\pipedrive\Service\PipedriveEntitySettingsService
    arguments: ['@config.factory']
  # Get details about fields in pipedrive.
  pipedrive.fields:
    class: Drupal\pipedrive\Service\PipedriveFieldsService
    arguments: ['@pipedrive']
  # Allow creation of a mapping form for an entity type.
  pipedrive.entitymappingform:
    class: Drupal\pipedrive\Service\PipedriveEntityMappingFormService
    arguments: ['@entity_field.manager', '@pipedrive.fields']
  # Synchronise items with pipedrive.
  pipedrive.sync:
    class: Drupal\pipedrive\Service\PipedriveSyncService
    arguments: ['@pipedrive', '@logger.pipedrive']
  # The Pipedrive logger.
  logger.pipedrive:
    parent: logger.channel_base
    arguments: ['pipedrive']
